"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridCol = void 0;
const react_1 = __importDefault(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const Grid_1 = require("./Grid");
const GridCol = ({ start, end, colSpan, rowSpan, children, className, vertical }) => {
    return (react_1.default.createElement("div", { className: (0, clsx_1.default)(className, 'col-span-1 row-span-1', (0, Grid_1.breakpointSizes)('col-start')(start !== null && start !== void 0 ? start : {}), (0, Grid_1.breakpointSizes)('col-end')(end !== null && end !== void 0 ? end : {}), {
            'grid-col-start': vertical === Grid_1.GridVerticalAlignEnum.top,
            'grid-col-center': vertical === Grid_1.GridVerticalAlignEnum.center,
            'grid-col-end': vertical === Grid_1.GridVerticalAlignEnum.bottom,
        }, (0, Grid_1.breakpointSizes)('col-span')(colSpan !== null && colSpan !== void 0 ? colSpan : {}), (0, Grid_1.breakpointSizes)('row-span')(rowSpan !== null && rowSpan !== void 0 ? rowSpan : {})) }, children));
};
exports.GridCol = GridCol;
