"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarCell = void 0;
const react_1 = __importDefault(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const Calendar_1 = require("./Calendar");
const CalendarDay_1 = require("./CalendarDay");
const CalendarCell = (_a) => {
    var { children, className, type, Day = CalendarDay_1.CalendarDay } = _a, others = __rest(_a, ["children", "className", "type", "Day"]);
    return (react_1.default.createElement("div", { className: (0, clsx_1.default)(Object.assign(Object.assign(Object.assign({}, (type === Calendar_1.CalendarTypeEnum.days && {
            'calendar-cell-typeDay': true,
        })), (type === Calendar_1.CalendarTypeEnum.weeks && {
            'calendar-cell-typeWeek': true,
        })), (type === Calendar_1.CalendarTypeEnum.months && {
            'calendar-cell-typeMonth': true,
        })), 'calendar-cell', className) },
        react_1.default.createElement(Day, Object.assign({}, others, { type: type }), children)));
};
exports.CalendarCell = CalendarCell;
